﻿/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

/*Scroll Bar*/

#style-10::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    background-color: #F5F5F5;
    border-radius: 10px;
}

#style-10::-webkit-scrollbar {
    width: 10px;
    background-color: #F5F5F5;
}

#style-10::-webkit-scrollbar-thumb {
    background-color: #AAA;
    border-radius: 10px;
    background-image: -webkit-linear-gradient(90deg, rgba(0, 0, 0, .2) 25%, transparent 25%, transparent 50%, rgba(0, 0, 0, .2) 50%, rgba(0, 0, 0, .2) 75%, transparent 75%, transparent)
}


.filterContainer {
    width: 100%;
    min-height: 10vh;
    display: flex;
    justify-content: end;
    align-items: flex-start;
}

.filterDropdownPrice {
    position: relative;
    width: 320px;
    height: 62px;
}

.filterDropdownPrice::before {
    content: '';
    position: absolute;
    top: 22px;
    right: 20px;
    z-index: 1;
    width: 8px;
    height: 8px;
    border: 2px solid #333;
    border-top: 2px solid #fff;
    border-right: 2px solid #fff;
    transform: rotate(-45deg);
    transition: 0.5s;
    pointer-events: none;
}

.filterDropdownPrice.active::before {
    top: 22px;
    transform: rotate(-225deg);
}

.filterDropdownPrice input {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    cursor: pointer;
    background: #fff;
    font-size: 0.8em;
    border: solid #E5E8EA 2px;
    outline: none;
    box-shadow: rgba(0, 0, 0, 0.05) 1.95px 1.95px 2.6px;
    padding: 12px 20px;
    border-radius:4px;
    font-family: 'Inter';
}

.filterDropdownPrice .options {
    position: absolute;
    top: 70px;
    width: 100%;
    background: #fff;
   box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    border-radius: 10px;
    overflow: hidden;
    display: none;
    z-index: 100;
    font-size: 0.7em;
    font-weight: 700;
    color: #3b3940;
    font-family: 'Inter';
}

.filterDropdownPrice.active .options {
    display: block;

}
.filterDropdownPrice .options div {
    padding: 9px 20px;
    cursor: pointer;
}

.filterDropdownPrice .options div:hover {
    background: #008DAB;
    color: #fff;
}

.filterDropdownPrice .options div ion-icon {
    position: relative;
    top: 4px;
    font-size: 1.2em;
    margin-right: 10px;
}

.outOfStock {
    text-align: center;
    color: #008DAB;
    font-family: 'Inter';
    font-weight:600;
}

.columns__content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.wrapper {
    margin-bottom:79px;
}

.wrapper-select {
    position: relative;
}

.wrapper__title::first-letter {
    text-transform: uppercase;
}

.wrapper__title {
    font-family: "Inter", sans-serif;
    font-weight: 700;
    font-size: 54px;
    color: #571463;
    text-align: left;
    text-transform: lowercase;
}

.wrapper__sub-title {
    font-family: "Inter", sans-serif;
    font-weight: 300;
    font-size: 24px;
    line-height: 41px;
    color: #3A3E50;
    letter-spacing: -1px;
    max-width: 844px;
}

.wrapper-filter-result {
    display: flex;
    flex-wrap: wrap;
    justify-items: left;
    gap: 0 26px;
}

.filters__selects__right-filter__dropdown, .filters__selects__left-filter__dropdown {
    position: relative;
    display: block;
    padding: 18px;
    margin-bottom: 68px;
    border: 0;
    border-radius: 4px;
    text-align: left;
    cursor: pointer;
}
.filters__selects__right-filter__dropdown::after, .filters__selects__left-filter__dropdown::after {
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 18px;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    display: block;
    width: 16px;
    height: 10px;
    pointer-events: none;

}

.filters__selects {
    position: relative;
}

.filters__selects__title {
    font-family: Inter, sans-serif;
    font-weight: 400;
    font-size: 22px;
    color: #3A3E50;
    line-height: 28px;
    letter-spacing: -2px;
    margin-bottom: 19px;
}

.filters__selects__left-filter {
    display: flex;
    margin-right: 39px;
    gap: 0 39px;
}

.filters__selects__left-filter__dropdown {
    text-transform: uppercase;
    width: 200px;
    height: 65px;
    color: #fff;
    font-family: Inter, sans-serif;
    font-weight: 600;
    font-size: 22px;
}
.filters__selects__left-filter__dropdown::after {
    background-image: url(/Content/Images/icons/arrow.svg);
}


.filters__selects__left-filter__dropdown--brend {
    background-color: #571463;
}

.filters__selects__left-filter__dropdown--type {
    background-color: #008DAB;
}

.filters__selects__left-filter__list {
    display: none;
    position: absolute;
    left: 0;
    top: 68px;
    width: 390px;
    background-color: #F5F5F5;
    overflow: hidden;
    box-shadow: 0px 4px 8px rgba(176, 198, 225, 0.6);
    border-radius: 6px;
    z-index: 1;
    height: 330px;
    overflow-y: auto;
    font-size: 0.8em;
}

.filters__selects__left-filter__list--visible {
    display: block;
}


.filters__selects__left-filter__list__item {
    display: flex;

    cursor: pointer;
    border-right: none;
    border-bottom: solid white 1px;
    font-family: Inter, sans-serif;
    font-weight:600;
}

.filters__selects__left-filter__list__item:first-child {
    border-radius: 6px 6px 0 0;
}
.filters__selects__left-filter__list__item:last-child {
    border-radius: 0 0 6px 6px;
    border-bottom: 1px solid gray;
}
.filters__selects__left-filter__list__item:hover {
    background-color: lavender;

}

.filters__selects__left-filter__list__item a {
        display: flex;
        width: 100%;
        color: #06283D;
        height: 100%;
        text-decoration: none;
        padding: 13px 20px;
}

.filters__selects__right-filter__dropdown {
    text-transform: capitalize;
    width: 399px;
    height: 76px;
    color: #939393;
    font-family: Inter, sans-serif;
    font-weight: 400;
    font-size: 22px;
}
.filters__selects__right-filter__dropdown::after {
    background-image: url("./../images/icons/arrow-gray.svg");
}

.filters__selects__right-filter__dropdown--sort {
    background-color: #FFFFFF;
    box-shadow: 2px 2px 15px 1px rgba(0, 0, 0, 0.06);
}

.filters__selects__right-filter__list {
    display: none;
    position: absolute;
    left: 0;
    top: 76px;
    width: 100%;
    background-color: #F5F5F5;
    overflow: hidden;
    box-shadow: 0px 4px 8px rgba(176, 198, 225, 0.6);
    border-radius: 6px;
    z-index: 1;
}

.filters__selects__right-filter__list--visible {
    display: block;
}

.filters__selects__right-filter__list__item {
    border: 1px solid gray;
    border-bottom: none;
    padding: 13px 20px;
    cursor: pointer;
}

   
.filters__selects__right-filter__list__item:first-child {
    border-radius: 6px 6px 0 0;
}

.filters__selects__right-filter__list__item:last-child {
    border-radius: 0 0 6px 6px;
    border-bottom: 1px solid gray;
}

.filters__selects__right-filter__list__item:hover {
        background-color: lavender;
}
.filters__selects__right-filter__dropdown {
    text-transform: capitalize;
    width: 399px;
    height: 76px;
    color: #939393;
    font-family: Inter, sans-serif;
    font-weight: 400;
    font-size: 22px;
}
.filters__selects__right-filter__dropdown::after {
    background-image: url(/Content/Images/icons/arrow-gray.svg);
}



.filters__selects__right-filter__dropdown--sort {
    background-color: #FFFFFF;
    box-shadow: 2px 2px 15px 1px rgba(0, 0, 0, 0.06);
}

.filters__selects__right-filter__list {
    display: none;
    position: absolute;
    left: 0;
    top: 76px;
    width: 100%;
    background-color: #F5F5F5;
    overflow: hidden;
    box-shadow: 0px 4px 8px rgba(176, 198, 225, 0.6);
    border-radius: 6px;
    z-index: 1;
}

.filters__selects__right-filter__list--visible {
    display: block;
}



.filters__selects__right-filter__list__item {
    border: 1px solid gray;
    border-bottom: none;
    padding: 13px 20px;
    cursor: pointer;
}

.filters__selects__right-filter__list__item:first-child {
    border-radius: 6px 6px 0 0;
}

.filters__selects__right-filter__list__item:last-child {
    border-radius: 0 0 6px 6px;
    border-bottom: 1px solid gray;
}
.filters__selects__right-filter__list__item:hover {
    background-color: lavender;
}

.filters__selects__right-filter__dropdown, .filters__selects__left-filter__dropdown {
    position: relative;
    display: block;
    padding: 18px;
    margin-bottom: 68px;
    border: 0;
    border-radius: 4px;
    text-align: left;
    cursor: pointer;
}

.filters__selects__right-filter__dropdown::after, .filters__selects__left-filter__dropdown::after {
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 18px;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    display: block;
    width: 16px;
    height: 10px;
    pointer-events: none;
}

.filterTag {
    min-height: 40px;
    min-width: 180px;
    text-align: left;
    background-color: #f8f8f8;
    color: #A563AE;
    font-family: 'Inter';
    font-weight: 600;
    line-height: 40px;
    font-size: 0.8em;
    padding-left: 1%;
    padding-right: 1%;
    display: flex;
    justify-content: space-between;
    border: solid #EBEBEB 1px;
    border-radius:4px;
    cursor:default;
}

.filterTag i {
    color:#70727f;
    cursor:pointer
}


.product-cards {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    justify-items: center;
    gap: 8px 81px;
    margin-bottom: 4%;
}


.product-cards__product-card {
    max-width: 388px;
    padding: 29px 14px 14px;
    border: 1px solid #EDEDED;
    border-radius: 4px;
    border-color: #e7e7e7;
    box-shadow: rgb(0 0 0 / 8%) 0px 1px 4px;
    position:relative;
}


.product-offer-container {
    background-color: #f16e00;
    position: absolute;
    right: 8px;
    top: 12px;
    font-size: 1rem;
    line-height: 22px;
    text-align: center;
    padding: 10px;
    z-index: 2;
    border-radius: 100px;
    color: white;
    font-family: Inter, sans-serif;
    font-weight: 600;
}

.product-cards__product-card__img {
    display: block;
    height: 262px;
    margin: 0 auto 26px;
    transition-duration: 400ms;
    cursor: pointer;
    min-height: 200px;
    min-width: 254px;
    width: 94%;
    object-fit:contain;
    background-repeat: no-repeat !important;
}


.product-cards__product-card__img:hover {
        transform: scale(1.1);
        outline: 1px solid #f3f3f3;
        padding: 2px;
        border-radius: 4px;

}

.product-cards__product-card__title {
    font-family: Inter, sans-serif;
    font-weight: 700;
    font-size: 1em;
    color: #3A3E50;
    letter-spacing: -1px;
    line-height: 36px;
    margin-bottom: 27px;
    min-height: 80px;
    max-height:80px;
    overflow-y:hidden;
    text-overflow:ellipsis;
    overflow-x:hidden;
}

.product-cards__product-card__title a {
        color: #3A3E50;
    }


.product-cards__product-card__count {
    font-family: Inter, sans-serif;
    font-weight: 700;
    font-size: 22px;
    margin-bottom: 23px;
    display: flex;
    color: #3A3E50;
    line-height: 32px;
}


.product-cards__product-card__count__items-control {
    cursor: pointer;
}

.product-cards__product-card__bottom {
    display: flex;
    justify-content: space-between;
    margin-bottom: 26px;
}


.product-cards__product-card__bottom__price {
    position: relative;
    margin-top: auto;
    margin-bottom: auto;
}


.product-cards__product-card__bottom__price__label {
    font-family: Inter, sans-serif;
    font-weight: 700;
    font-size: 1em;
    letter-spacing: -1px;
    color: #571463;
    line-height: 130.52%;
}


.product-cards__product-card__bottom__price__value {
    font-family: Inter, sans-serif;
    font-weight: 700;
    font-size: 60%;
    position:relative;
    bottom:2ex;
    text-decoration: line-through;
    color: #D4D4D4;
}


.product-cards__product-card__bottom__buttons {
    display: flex;
    gap: 7px;
}

.product-cards__product-card__bottom__buttons__link {
    height: 50px;
    width: 50px;
    border-radius: 7px;
    text-decoration: none;
    transition: color 0.4s, background-color 0.4s;
    border: none;
    cursor: pointer;
}


.product-cards__product-card__bottom__buttons__link--heart {
    background-image: url(./../images/icons/heart.svg);
}

.product-cards__product-card__bottom__buttons__link--cart {
    background-image: url(./../images/icons/cart.svg);
}

.product-cards__product-card__bottom__buttons__link:hover {
    background-color: #008DAB;
}

.product-cards__product-card__count__items-current, .product-cards__product-card__count__items-control {
    border: 1px solid #D5D5D5;
    padding: 16px 8px;
    width: 48px;
    height: 52px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.product-cards__product-card__count__items-current input {
        width: 100%;
        text-align: center;
        border: none;
        outline: none !important;
        font-family: Inter, sans-serif;
        font-weight: 600;
        color: #3A3E50;
        font-size:1em
}

.product-cards__product-card__count__items-control {
    cursor: pointer;
}

.product__info__buttons__heart, .product__info__buttons__add, .product-cards__product-card__bottom__buttons__link {
    background-color: #A563AE;
    display: block;
    background-position: center;
    background-repeat: no-repeat;
    color: #FEFEFE;
    border: none;
}

.paginationSearchCont {
    display: flex;
    justify-content: center
}
.paginationSearchCont ul {
    padding:2%;
}
.paginationSearchCont ul li {
        padding: 8%;
        font-family: Inter, sans-serif;
        font-weight:700;
}
.paginationSearchCont ul li:active a {
    color:grey;
}
.paginationSearchCont ul li:active a {
        color: grey !important;
    }

.paginationSearchCont ul li a {
        color: #008DAB;
        padding: 5px;
        border-radius: 2px;

}
.paginationSearchCont ul li a:hover {
        color: white;
        background-color: #A563AE;
}

.PagedList-ellipses a {
    color: #A563AE !important;
    background-color:white !important;
    cursor:pointer !important;
}

.PagedList-skipToPrevious a {
    color: #A563AE !important;
    background-color: white !important;
}

.PagedList-skipToNext a {
    color: #A563AE !important;
    background-color: white !important;
}

.aLinkLogin {
    font-family: 'Inter';
    color: #008DAB;
    font-weight: 400;
    transition: 0.6s;
}
.aLinkLogin:hover {
        letter-spacing: 0.5px;
        font-weight: 500;
        color: #008DAB;

}

.product-cards__product-card product-card a {
    color: #A563AE !important;
}
.product-cards__product-card product-card a:hover {
    color: #A563AE !important;
}

.redClrText {
    color: #EB4747;
    font-family: 'Inter';
    font-weight: 500;
}

.linkIMGShop {
    color: #A563AE !important;
    
}
.linkIMGShop:hover {
    color: #A563AE !important;
}

.brandImgContainer {
    display: flex;
    width: 100%;
    height: auto;
    justify-content: end;
}

.brandImg {
    width: 40%;
    min-width: 150px;
    max-width: 150px;
}



@media (max-width: 1290px) {
    .container {
        padding: 0 40px;
    }
    .product-cards__product-card__img {
        min-width: 247px;
    }
  
}



@media (max-width: 1180px) {
    .product-cards {
        grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
        gap: 6px 44px;
    }
    .product-cards__product-card__img {
        min-width: 206px;
    }
}

@media (max-width: 990px) {
    .columns__content {
        display: block;
    }
}

@media(max-width:1080px) {
    .container {
        padding: 0 22px;
    }

    .product-cards {
        grid-template-columns: repeat(auto-fill, minmax(140px, 2fr));
        gap: 14px 63px;
    }

    .product-cards__product-card__img {
        min-width: 172px;
        height: auto;
        max-height: 200px;
        margin:auto;
    }
    .product-cards__product-card {
    
    min-width:215px;
    }
    
    .filterContainer {
        justify-content: start;
    }
    .aLinkLogin {
        font-size:0.9em;
    }
    
    .product-cards__product-card__bottom {
    display:block;
    }
 
    .product-cards__product-card__bottom__buttons {
    margin-top:8%;
    }
    .product-cards__product-card__title a {
    font-size:0.9em;
    }

    .product-cards__product-card__count__items-control {
        width: 39px;
        height: 44px;
        font-size: 0.9em;
    }
    .product-cards__product-card__count__items-current  {
        width: 39px;
        height: 44px;
        font-size: 0.9em;
    }
    .product-cards__product-card__title {
    margin-bottom:5px;
    }

}

@media (max-width: 900px) {

    .container {
        padding: 0 14px;
    }

    .product-cards__product-card {
        min-width: 190px;
    }

    .product-cards {
        grid-template-columns: repeat(auto-fill, minmax(140px, 2fr));
        gap: 14px 44px;
    }
    .product-cards__product-card__img {
        min-width: 154px;
    }
    .header__top {
        padding: 1% 6%;
    }

    .paginationSearchCont {
        max-width: 69%;
    }


    .blockOverlay {
        width: 100%;
    }

    .blockMsg {
        width: 90% !important;
    }

    .aLinkLogin {
        font-size: 0.8em;
    }

    .filterTag {
        padding-left: 4%;
        padding-right: 4%;
        margin-right: 3% !important;
    }
    .wrapper{
        padding: 0% 5%;

    }

    .filters {
        padding:0% 5%;
    }

}

@media (max-width: 780px) {

    .product-cards__product-card {
        min-width: 178px;
    }

    .product-cards__product-card__img {
        min-width: 110px;
    }

    .product-cards__product-card__count__items-current input {
        width: 30px;
        height: 34px;
    }


}

@media (max-width: 740px) {

    .container {
        padding: 0 8px;
    }
    .product-cards {
        grid-template-columns: repeat(auto-fill, minmax(140px, 2fr));
        gap: 14px 14px;
    }
    .product-cards__product-card {
        min-width: 142px;
    
    }
    .product-cards__product-card {
        padding: 2px 14px 14px;
    }
   

}


@media (max-width: 650px) {
    .brandImgContainer {
        justify-content: center;
        margin-top: 20%;
        margin-bottom: 8%;
    }

}



@media (max-width: 560px) {
    .filters__selects__left-filter__dropdown {
        margin-bottom: 40px;
    }
    .filters__selects__left-filter {
        flex-direction: column;
        margin-right: 0;
    }
    .filters__selects__right-filter__dropdown {
        width: 100%;
        margin-top: 20px;
    }
    .product-cards__product-card {
    min-width:0px;
    }
}


@media (max-width: 500px) {
    .wrapper__title {
        font-size: 45px;
    }

    .wrapper-filter-result {
        gap: 0 13px;
    }
    .filterContainer {
        justify-content:center;

    }

   
}

@media (max-width: 445px) {
    .filters__selects__left-filter__dropdown {
        width: 100%;
        margin-bottom: 30px;
    }

    .product-cards__product-card__bottom {
        flex-direction: column;
    }

    .paginationSearchCont {
        max-width: 86px;
    }

    .paginationSearchCont {
        display: block;
    }

  
    .product-cards__product-card__bottom__price {
    margin-bottom:10%;
    
    }

    .product-cards__product-card__bottom__price__label {
    font-size:1em;
    }

    .product-cards__product-card__title {
        max-width: 140px;
        min-width: 140px;
        text-overflow: ellipsis;
        font-size: 0.8em;
    }

    .aLinkLogin {
        font-size: 0.7em;
    }

    .product-cards__product-card__count__items-current, .product-cards__product-card__count__items-control {
        padding: 20px 8px;
        width: 33px;
        height: 35px;
    }

}

@media (max-width: 442px) {
    .filters__selects__right-filter__list {
        width: 100%;
    }
    .filters__selects__left-filter__list {
        width: 100%;
    }
}


@media (max-width: 400px) {


    .product-cards__product-card__count__items-current, .product-cards__product-card__count__items-control {
        width: 30px;
        height: 34px;
    }

 

    .product-cards__product-card__bottom__price__label {
        font-family: Inter, sans-serif;
        font-weight: 700;
        font-size: 22px;
        line-height: 70.52%;
    }

   

    .product-cards__product-card__bottom__buttons__link {
        height: 40px;
        width: 40px;
    }

    .product-cards__product-card__bottom__price {
        margin-bottom: 20px;
    }

    .product-cards__product-card__count {
        font-family: Inter, sans-serif;
        font-weight: 700;
        font-size: 14px;
    }

    .product-cards__product-card__bottom {
        flex-direction: column;
    }

    .product-cards__product-card__img {
        height: 117px;
        margin: 0 auto 6px;
    }

    .product-cards__product-card__title {
        font-family: Inter, sans-serif;
        font-weight: 700;
        font-size: 16px;
        line-height: 24px;
        margin: 0;
    }
}


/*Special Offers*/

.specialOfferTitle {
    font-size:1.5em;
}

.specialOfferMainimage {
    display: flex;
    justify-content: end;
}

.specialOfferMainimage img {
    width:100%;
    height:auto;
    border-radius:3px;
}

.relatedProductsCont {
    font-size: 1.6em;
    font-family: "Inter", sans-serif;
    font-weight:700;
    color:#3a3e50;
}


